=== debian/changelog ===
kwave (0.8.5-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Source format 3.0
    - Build with dh --with kde
    - Drop cdbs
    - Bump build-deps
    - Add libsamplerate0-dev and libpulse-dev to build-depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 13 Feb 2010 02:32:21 +0100

kwave (0.8.3-2-0ubuntu1) karmic; urgency=low

  * New upstream release: (LP: #414603)
    - Drop debian/patches fixed by upstream
    - Drop quilt from build-deps and patchsys-quilt.mk from rules

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Mon, 17 Aug 2009 02:42:05 +0200

kwave (0.8.2-3ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    - debian/rules: export KUBUNTU_NO_DELETE_POT=1

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 28 Jun 2009 17:27:33 -0500

kwave (0.8.2-3) unstable; urgency=low

  * QA upload.
  * patches/06-qreal.diff: update to use upstream version.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 26 May 2009 16:21:31 +0200

kwave (0.8.2-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, no remaining Ubuntu changes.
  * debian/rules: added export KUBUNTU_NO_DELETE_POT=1 to prevent the eating of
    the kwave.pot file which causes a FTBFS - if it weren't for this, we would
    be able to sync this package with Debian.

 -- Richard A. Johnson <nixternal@ubuntu.com>  Sun, 10 May 2009 12:11:49 -0500

kwave (0.8.2-2) unstable; urgency=low

  * QA upload.
  * patches/06-qreal.diff: update to fix FTBFS on armel.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 02 May 2009 10:11:40 +0000

kwave (0.8.2-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Fix entry in previous changelog stanza.
  * patches/05-do-not-install-so-synlinks.diff:
    - Properly rename to 05-do-not-install-so-symlinks.diff
    - Refresh indexes.
    - Add a small description.
  * Remove manual call of dh_desktop in rules, no more needed with
    desktop-file-utils >= 0.15-2.
  * Add lintian override for the sonagram plugin.
  * Remove dirs file, as there's nothing installed in /usr/share/pixmaps.
  * Bump Standards-Version to 3.8.1, no changes required.
  * Update copyright, also according to the upstream LICENSES file.
  * Add patch 06-qreal.diff for qreal vs double mismatches.

 -- Pino Toscano <pino@kde.org>  Sun, 26 Apr 2009 20:28:34 +0200

kwave (0.8.1-1) unstable; urgency=low

  * QA upload.
  * New upstream release:
    - Update dependencies to KDE 4.
    - Convert it to CDBS and pkg-kde-tools.
    - Remove obsolete patches:
      01-dont-link-arts-when-disabled.diff
      02-explicitely-link-libaudiofile.diff
      03-kwave-plugins-in-moduledir.diff
      04-disable-mp3-per-default.diff
  * Bump compat to 7.
  * Add patch 05-do-not-install-so-synlinks.diff to avoid installation of the
    .so symlinks of private libraries.
  * Add build depend on pkg-config, libasound2-dev, and libfftw3-dev.
  * Replace textutils build depend with coreutils.
  * Rename the lintian overrides file to make it installed automatically by
    dh_lintian.
  * "KDE2" -> "KDE" in man page.

 -- Pino Toscano <pino@kde.org>  Thu, 02 Apr 2009 21:01:00 +0200

kwave (0.8.0-0ubuntu2) jaunty; urgency=low

  * Fixing doc install path from kde4 to kde - Rebuild (LP: #349388)
  * Fixed linking in debian/rules that was for the old kde4 directory structure

 -- Richard A. Johnson <nixternal@ubuntu.com>  Fri, 27 Mar 2009 02:11:34 -0500

kwave (0.8.0-0ubuntu1) intrepid; urgency=low

  * New Upstream version (closes LP: #271630 and LP: #258667)
  * Drop admin/debianrules as it's not necessary anymore
  * debian/control: 
    - Delete perl dependency 
    - Drop install dependency on kcontrol
  * Patch kubuntu_01_fix_link_errors.diff: add link with pthread and library 
    cleanup (patch sent by upstream)
  * debian/rules:
    - change dpatch to quilt patching system
    - Delete call to admin/debianrules (not necessary anymore)
    - Add parameter -DWITH_GSL=OFF to cmake to disable usage of libgsl 
      (licence incompatibility with kwave)

 -- Fabrice Coutadeur <coutadeurf@gmail.com>  Sat, 04 Oct 2008 09:03:50 +0000

kwave (0.7.11-1) unstable; urgency=low

  * QA upload:
    Orphan package, Bertrand Songis has been inactive for more than 6 months
    and upstream author has tried to reach him for months now without success.
  * New upstream version:
    - Kwave does not longer use aRts. (Closes: #367036)
    - Add several patches provided by upstream:
      01-dont-link-arts-when-disabled.diff
      02-explicitely-link-libaudiofile.diff
      03-kwave-plugins-in-moduledir.diff
      04-disable-mp3-per-default.diff
  * Add -DCMAKE_SKIP_RPATH=true to cmake configure, fixes rpath issue. 
    (Closes: #495758)
  * Remove leftovers from autotools transition to cmake:
    - No more usage of debianrules file.
    - Remove relibtoolization bits and cleaninf of debian/rules.
    - Remove build depends on: automake1.7, autoconf, autotools-dev, perl,
      debianutils.
  * Replace build depend on kdemultimedia-dev with kdelibs4-dev.
  * Remove dpatch system and add quilt instead.
  * Update to Standards-Version 3.8.0, no changes required.
  * Add build depend on mawk. Thanks Thomas! (Closes: #482248)
  * Update copyright file. (Closes: #419124)
  * Update overrides.
  * Update to debhelper compatibility 6.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sun, 31 Aug 2008 14:20:52 +0200

kwave (0.7.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules:
    + Fix bashism (Closes: #459104).
  * debian/control:
    + Bump Standards-Version to 3.7.3 (no changes needed).
    + Add Homepage field.
  * debian/menu:
    + Change Apps to Applications.

 -- Marco Rodrigues <gothicx@sapo.pt>  Thu, 24 Jan 2008 20:43:49 +0000

kwave (0.7.10-1) unstable; urgency=low

  * New upstream version.
  * New maintainer (closes: #393172).

 -- Bertrand Songis <bsongis@gmail.com>  Mon, 27 Aug 2007 15:14:39 +0200

kwave (0.7.7-3) unstable; urgency=low


