=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

export KUBUNTU_NO_DELETE_POT=1
