## kwave 0.8.5-1

=== debian/changelog ===
kwave (0.8.5-1-4ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add kubuntu_01_fix_docbook.diff, upstreamed
    - Add kubuntu_02_fix_qstring.diff (thanks to David Sugar), upstreamed
    - Use override_dh_compress, KDE help center can't find the handbook
      otherwise

 -- Scott Kitterman <scott@kitterman.com>  Fri, 15 Oct 2010 19:58:15 -0400

kwave (0.8.5-1-4) unstable; urgency=low

  [ Scott Kitterman ]
  * Add debian/patches/08-powerpc-ftbfs to fix powerpc FTBFS (Closes: #593113)
     - Thanks to Alessio Treglia for providing the patch in the bug

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 26 Sep 2010 22:06:06 -0400

kwave (0.8.5-1-3ubuntu2) maverick; urgency=low

  * Add debian/patches/kubuntu_03_fix_powerpc_ftbfs.diff to fix powerpc FTBFS
    - Take from Debian 593113, Thanks to Alessio Treglia

 -- Scott Kitterman <scott@kitterman.com>  Sun, 26 Sep 2010 17:03:07 -0400

kwave (0.8.5-1-3ubuntu1) maverick; urgency=low

  * Fix FTBS: (LP: #629799)
    - Add kubuntu_01_fix_docbook.diff, upstreamed
    - Add kubuntu_02_fix_qstring.diff (thanks to David Sugar), upstreamed
    - Use override_dh_compress, KDE help center can't find the handbook
      otherwise

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sat, 25 Sep 2010 02:00:11 +0200

kwave (0.8.5-1-3) unstable; urgency=low

  * Add Build-Depends: libpulse-dev
  * dh_auto_configure -- $(DEB_CMAKE_CUSTOM_FLAGS)

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 22:26:28 +1000

kwave (0.8.5-1-2) unstable; urgency=low

  * Added Build-Depends: libsamplerate0-dev

 -- Mark Purcell <msp@debian.org>  Tue, 15 Jun 2010 08:45:58 +1000

kwave (0.8.5-1-1) unstable; urgency=low

  * New upstream release (Closes: #581557)
  * NEW Maintainer: Debian KDE Extras Team 
    <pkg-kde-extras@lists.alioth.debian.org> (Closes: #497269)
  * Drop local doc/ changes
  * Add debian/watch
  * Drop Obsolete Conflicts: Provides:
  * source/format -> 3.0 (quilt)
  * Switch to dh 7 - drop cdbs
  * Update lintian-overrides
  * Update Standards-Version: 3.8.4 - Added Vcs:

 -- Mark Purcell <msp@debian.org>  Mon, 14 Jun 2010 17:50:41 +1000

kwave (0.8.2-5) unstable; urgency=low

  * QA upload.
  * Disable ALSA on non-linux architectures (closes: #582262).
    Thanks to Pino Toscano for the patch.

 -- Ralf Treinen <treinen@debian.org>  Wed, 19 May 2010 20:51:52 +0200

kwave (0.8.2-4) unstable; urgency=low

  * QA upload.
  * Add build-dependency on cmake (closes: #581297). Thanks to Modestas
    Vainius for the patch!
  * Removed build-dependency on essential package coreutils.
  * patch 07-no-rpah: Do not set rpath (thanks to Ruben Molina!)

 -- Ralf Treinen <treinen@debian.org>  Mon, 17 May 2010 21:00:37 +0200
